<?php
  include_once(dirname(__FILE__) ."/database_object.php");
  include_once(dirname(__FILE__) ."/data_access.php");

  class Map extends DatabaseObject
  {
    protected $DBTableName = DB_MAP_TABLE;
    protected $ClassName = "Map";
    public $Data = array(
      "ID" => 0,
      "UserID" => 0,
      "CategoryID" => 0, 
      "Date" => 0, 
      "Name" => "", 
      "Organiser" => "", 
      "Country" => "", 
      "Discipline" => "", 
      "RelayLeg" => "",
      "MapName" => "",
      "ResultListUrl" => "",
      "MapImage" => "",
      "ThumbnailImage" => "",
      "Comment" => "",
      "Views" => 0,
      "LastChangedTime" => 0
    );
    private $User;
    private $Category;

    public function CreateResultListUrl()
    {
      if($this->ResultListUrl != "")
      {
        if(strtolower(substr($this->ResultListUrl, 0, 4)) != "http")
        {
          return "http://". $this->ResultListUrl;
        }
        return $this->ResultListUrl;
      }
      return "";
    }
    
    public function GetUser()
    {
      if(!$this->User) $this->User = DataAccess::GetUserByID($this->UserID);
      return $this->User;
    }

    public function SetUser($user)
    {
      $this->User = $user;
    }

    public function GetCategory()
    {
      if(!$this->Category) $this->Category = DataAccess::GetCategoryByID($this->CategoryID);
      return $this->Category;
    }

    public function SetCategory($category)
    {
      $this->Category = $category;
    }
  
  }


?>